Subject: Re: [PATCH 3/9] fs_enet: Don't share the interrupt.

From: Jeff Garzik <[email-masked]>
Date: Sat, 29 Sep 2007 01:18:32 -0400

Scott Wood wrote:
> This driver can't handle an interrupt immediately after request_irq

You MUST assume that you will receive an interrupt immediately after 
request_irq().  If fs_enet cannot handle that, then that is what wants 
fixing.

Please send along a fix for this, rather than band-aiding the problem.